# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: boost-devel boost-filesystem-devel gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define     major        16
%define     libname      libyui-gtk%{major}
%define     develname    libyui-gtk-devel

Name:       libyui-gtk
Version:    2.52.3
Release:    alt2_5
Summary:    UI abstraction library - GTK plugin
License:    LGPLv2+
Group:      System/Libraries
URL:        https://github.com/libyui/libyui-gtk
Source0:    https://github.com/libyui/libyui-gtk/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:    libpng-devel libpng17-tools
BuildRequires:    yui-devel >= 3.0.4
BuildRequires:    gtk3-demo libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:    libgdk-pixbuf-devel libgdk-pixbuf-gir-devel
BuildRequires:    boost-complete
BuildRequires:    sane-devel
BuildRequires:    ccmake cmake ctest
BuildRequires:    doxygen
BuildRequires:    ghostscript
BuildRequires:    graphviz
Source44: import.info

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-gtk.so.%{major}
%{_libdir}/yui/libyui-gtk.so.%{major}.*

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Provides:       yui-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_includedir}/yui/
%{_libdir}/yui/libyui-gtk.so
%{_libdir}/pkgconfig/libyui-gtk.pc

#-----------------------------------------------------------------------

%prep
%setup -q


%build
%{mageia_cmake}
%mageia_cmake_build

%install
%mageia_cmake_install


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 2.52.3-alt2_5
- update by mgaimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 2.52.3-alt2_4
- rebuild to get rid of unmets

* Wed Nov 22 2023 Igor Vlasenko <viy@altlinux.org> 2.52.3-alt1_4
- update by mgaimport

* Fri Sep 16 2022 Cronbuild Service <cronbuild@altlinux.org> 2.52.0-alt2_3
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 2.52.0-alt1_3
- update by mgaimport

* Sun Jan 02 2022 Igor Vlasenko <viy@altlinux.org> 2.52.0-alt1_2
- update by mgaimport

* Thu Oct 21 2021 Igor Vlasenko <viy@altlinux.org> 2.52.0-alt1_1
- update by mgaimport

* Tue Mar 16 2021 Igor Vlasenko <viy@altlinux.org> 2.49.0-alt1_5
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.49.0-alt1_4
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 2.48.0-alt1_1
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 2.46.0-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 2.44.10-alt2_3
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 2.44.10-alt2_2
- update by mgaimport

* Sat Jan 26 2019 Cronbuild Service <cronbuild@altlinux.org> 2.44.10-alt2_1
- rebuild to get rid of unmets

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 2.44.10-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.44.9-alt1_3
- update by mgaimport

* Tue Apr 03 2018 Igor Vlasenko <viy@altlinux.ru> 2.44.9-alt1_2
- new version

